#ifndef SHADER_UTIL_H
#define SHADER_UTIL_H

#include <GL/glew.h>

typedef struct {
    GLenum type;
    GLuint id;
} Shader;

typedef struct {
    GLuint program;
    const GLchar* vertexSource;
    const GLchar* fragmentSource;
} ShaderProgram;

void compileShader(const GLchar *shaderSource, Shader *shader);
void compileShaders(Shader* shaders, const GLchar** glslSources, int numShaders);
ShaderProgram createShaderProgram(const GLchar* vertexSource, const GLchar* fragmentSource);

#endif